import {
  createSelector,
  createFeatureSelector,
  ActionReducerMap,
} from '@ngrx/store';

import { StateSelector } from '@overflow/core/ngrx/store';

import { MODULE } from '../probe.constant';

import * as ProbeStore from './entity/probe';

export interface State {
  probes: ProbeStore.State;
}

export const REDUCERS = {
  probes: ProbeStore.reducer,
};

export const EFFECTS = [
  ProbeStore.Effects,
];

export const selectState = createFeatureSelector<State>(MODULE.name);

export const ProbeSelector = ProbeStore.getSelectors(createSelector(
  selectState,
  (state: State) => state.probes
));


